Package org.eclipse.graphiti.features

## Interface IFeatureChecker

All Known Implementing Classes:
  `FeatureCheckerAdapter`

    public interface IFeatureChecker

The Interface IFeatureChecker.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `allow​(IFeature feature, IContext context)`
`boolean` `allowAdd​(IContext context)`
`boolean` `allowConnectionSplit​(ISplitConnectionContext context)`
`boolean` `allowCreate()`
`boolean` `allowCustomFeatures​(ICustomContext context)`
`boolean` `allowDelete​(IDeleteContext context)`
`boolean` `allowDragAndDrop​(IPictogramElementContext context)`
`boolean` `allowLayout​(ILayoutContext context)`
`boolean` `allowMove​(IContext context)`
`boolean` `allowPaste​(IPasteContext context)`
`boolean` `allowReconnect​(IReconnectionContext context)`
`boolean` `allowRemove​(IContext context)`
`boolean` `allowResize​(IResizeShapeContext context)`
`boolean` `allowUpdate​(IUpdateContext context)`

### Method Detail

#### allow

    boolean allow​(IFeature feature,
                  IContext context)

#### allowAdd

    boolean allowAdd​(IContext context)

#### allowConnectionSplit

    boolean allowConnectionSplit​(ISplitConnectionContext context)

#### allowCreate

    boolean allowCreate()

#### allowCustomFeatures

    boolean allowCustomFeatures​(ICustomContext context)

#### allowDelete

    boolean allowDelete​(IDeleteContext context)

#### allowDragAndDrop

    boolean allowDragAndDrop​(IPictogramElementContext context)

#### allowLayout

    boolean allowLayout​(ILayoutContext context)

#### allowMove

    boolean allowMove​(IContext context)

#### allowPaste

    boolean allowPaste​(IPasteContext context)

#### allowReconnect

    boolean allowReconnect​(IReconnectionContext context)

#### allowRemove

    boolean allowRemove​(IContext context)

#### allowResize

    boolean allowResize​(IResizeShapeContext context)

#### allowUpdate

    boolean allowUpdate​(IUpdateContext context)